<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('user_info', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('roles', function(Blueprint $table) {
			$table->foreign('role_id')->references('roles')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('company_info', function(Blueprint $table) {
			$table->foreign('skill_id')->references('id')->on('skills')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('company_info', function(Blueprint $table) {
			$table->foreign('industries_id')->references('id')->on('Industries')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('company_info', function(Blueprint $table) {
			$table->foreign('accreditation')->references('accreditation')->on('company_info')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('company_info', function(Blueprint $table) {
			$table->foreign('Categories_id')->references('id')->on('Categories')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('company_info', function(Blueprint $table) {
			$table->foreign('jobs')->references('id')->on('jobs')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('News', function(Blueprint $table) {
			$table->foreign('relatied_news')->references('id')->on('skills')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Health_check_Q', function(Blueprint $table) {
			$table->foreign('Q_id')->references('Q_id')->on('Health_check_A')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('Events', function(Blueprint $table) {
			$table->foreign('Related_events')->references('id')->on('company_info')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('user_info', function(Blueprint $table) {
			$table->dropForeign('user_info_user_id_foreign');
		});
		Schema::table('roles', function(Blueprint $table) {
			$table->dropForeign('roles_role_id_foreign');
		});
		Schema::table('company_info', function(Blueprint $table) {
			$table->dropForeign('company_info_skill_id_foreign');
		});
		Schema::table('company_info', function(Blueprint $table) {
			$table->dropForeign('company_info_industries_id_foreign');
		});
		Schema::table('company_info', function(Blueprint $table) {
			$table->dropForeign('company_info_accreditation_foreign');
		});
		Schema::table('company_info', function(Blueprint $table) {
			$table->dropForeign('company_info_Categories_id_foreign');
		});
		Schema::table('company_info', function(Blueprint $table) {
			$table->dropForeign('company_info_jobs_foreign');
		});
		Schema::table('News', function(Blueprint $table) {
			$table->dropForeign('News_relatied_news_foreign');
		});
		Schema::table('Health_check_Q', function(Blueprint $table) {
			$table->dropForeign('Health_check_Q_Q_id_foreign');
		});
		Schema::table('Events', function(Blueprint $table) {
			$table->dropForeign('Events_Related_events_foreign');
		});
	}
}